## ogre-14 14.4.1+dfsg1

=== debian/changelog ===
ogre-14 (14.4.1+dfsg1-1) unstable; urgency=medium

  [ Flavien Bridault ]
  * New upstream version
  * d/patches:
    - patches updated
    - remove previously backported patches

  [ Simon Schmeisser ]
  * Now guarantees ABI stability for patch releases, soname shortened
  * d/control:
    - dev package conflicts with libogre-1.12-dev as well
  * d/patches:
    - patches updated
    - remove previously backported patches
    - revert-weakly-link-python.patch: revert upstream changes
    to python linking
    - imgui-swig-excludes.diff: backported compatibility fix for
    newer versions of ImGui (Closes: #1005498 )
    - assimp-5.1-compat.patch: backport support for newer assimp
    - versioned-media-dir.patch: resources in versioned subdir for parallel
    installability of different so-versions
  * d/copyright:
    - adjust list of excludes as tutorials are now included
    - include 2022 in copyright for d/*
    - fix licensing of RenderSystems/GL/src/nvparse/*parser.h
      is GPL-3+ with Bison exception, not GPL-2+
    - generated gl3w and glesw files are using Unlicense
  * Bump Standards Version to 4.6.0 (no changes needed)
  * split into library packages matching sonames
  * enable OgreBitesQt
  * d/rules:
    - remove injected extra dependency

  [ Pavel Rojtberg ]
  * Enable assimp plugin

  [ Antoine Le Gonidec ]
  * Drop obsolete patches.

 -- Antoine Le Gonidec <vv221@debian.org>  Thu, 08 Jan 2026 02:48:02 +0100

ogre-1.12 (1.12.10+dfsg2-8) unstable; urgency=medium

  [ Bret Curtis ]
  * Drop buggy freeimage dep

  [ Antoine Le Gonidec ]
  * Add myself to Uploaders.

 -- Antoine Le Gonidec <vv221@debian.org>  Wed, 31 Dec 2025 19:55:17 +0100

ogre-1.12 (1.12.10+dfsg2-7) unstable; urgency=medium

  * Team upload.

  [ Sébastien Noel ]
  * Fix build with CMake 4 (Closes: #1113343)
  * Fix build against current libimgui-dev, v1.92.2 (Closes: #1114243)

 -- Antoine Le Gonidec <vv221@debian.org>  Sun, 05 Oct 2025 13:30:39 +0200

ogre-1.12 (1.12.10+dfsg2-6) unstable; urgency=medium

  * Team upload.
  * Source only upload after new

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 25 Mar 2024 08:55:04 +0100

ogre-1.12 (1.12.10+dfsg2-4) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Team upload.
  * Add patch to fix FTBFS (Closes: #1064139)
  * Add patch for new swig.
    Thanks to Flavien Bridault (Closes: #1064139)
  * Add missing test dependency
  * Add patch for loongarch64 (and others)
    Thanks to Simon McVittie (Closes: #1055636)

  [ Steve Langasek ]
  * Rename libraries for 64-bit time_t transition

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 24 Mar 2024 13:39:09 +0100

ogre-1.12 (1.12.10+dfsg2-3) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Fix the mipsel FTBFS (Closes: #1002568)

  [ Jochen Sprickerhof ]
  * Add upstream patch to fix FTBFS (Closes: #1020188)
  * Fix Multi-Arch hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Sep 2022 20:44:44 +0200

ogre-1.12 (1.12.10+dfsg2-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with new ImGui (Closes: #1005498)
  * drop gitlab-ci.yml

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 29 Mar 2022 10:14:29 +0200

ogre-1.12 (1.12.10+dfsg2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 14 Jun 2021 21:39:29 +0200

ogre-1.12 (1.12.10+dfsg2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library package to match Soname (Closes: #989344)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 12 Jun 2021 16:37:07 +0200

ogre-1.12 (1.12.10+dfsg2-1) unstable; urgency=medium

  [ Simon Schmeisser ]
  * New upstream version
  * d/patches:
    - removed patches included upstream
    - add use-system-imgui.diff
    - fix OGRE_PLUGIN_DIR in OGREConfig.cmake
  * d/tests: add tests for python and cmake
  * d/copyright:
    - backport upstream removal of two unused headers with non-free licenses
  * do not install duplicate license information in non-standard format
  * Bump Standards Version to 4.5.1 (no changes needed)
  [ Pavel Rojtberg ]
  * fix discovery of CMake modules
  * d/patches:
    - backported: do not export dependency on OgreGLSupport

 -- Simon Schmeisser <s.schmeisser@gmx.net>  Fri, 01 Jan 2021 10:04:19 +0200

ogre-1.12 (1.12.5+dfsg1-1) unstable; urgency=medium

  [ Simon Schmeisser ]
  * New upstream version
  * Use current version of swig (4.0) as 3.0 is no longer build in bullseye
    (Closes: #956947)

 -- Simon Schmeisser <s.schmeisser@gmx.net>  Tue, 07 Apr 2020 21:04:19 +0200

ogre-1.12 (1.12.4+dfsg1-5) unstable; urgency=medium

  [ Miriam Ruiz ]
  * Added patch find-sdl2.patch to be able to find SDL2.h (needed for
    ApplicationContext).
  * Added patch resources-cfg.patch to remove nonexistent resources from
    the configuration
  * Use SWIG 3.0 to generate the bindings. SWIG 4.0 is not supported at
    the moment. See: https://forums.ogre3d.org/viewtopic.php?t=95023
  [ Simon Schmeisser ]
  * boost is no longer needed, remove build dependency
  * tinyxml was replaced by pugixml
  * libois was replaced by sdl2
  * d/rules: plugins are versioned now, don't use subfolder any longer
  * d/control:
    - patchelf no longer needed
    - depend on python3-dev instead of python3-all-dev
  * d/patches:
    - add resourcehandle-sizet.diff: Avoids using 64bit atomics
    on 32bit systems (backported from upstream)
    - adapt patches to follow DEP-3
  * Bump Standards Version to 4.5.0 (no changes needed)

 -- Simon Schmeisser <s.schmeisser@gmx.net>  Sat, 04 Apr 2020 21:04:19 +0200

ogre-1.12 (1.12.4+dfsg1-4) unstable; urgency=medium

  [ Simon Schmeisser ]
  * New upstream version (Closes: #943675)
    - Repack the source to meet DFSG
      (removed 'Samples' and 'SDK', git submodule init)
  * remove version from Vcs-Browser and Vcs-Git
  * d/patches:
    - removed patches included upstream

