=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -d 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import Ogre; print(Ogre)" ; done
Depends: @, python3-all
Restrictions: allow-stderr, superficial
Features: test-name=autodep8-python3

# Disabled, the 'Samples' directory seems to be missing
#Tests: test-tutorial
#Depends: @, cmake, make, g++ | c++-compiler
